Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.io.mailboxes
Class SharedMailboxHandler

    java.lang.Object
      com.sun.squawk.io.mailboxes.SharedMailboxHandler

All Implemented Interfaces:
  MailboxHandler

    public class SharedMailboxHandler

extends Object
implements MailboxHandler

Constructor Summary
`SharedMailboxHandler()` Creates a new instance of SharedMailboxHandler

Method Summary
`AddressClosedException` | `handleClose(MailboxAddress address)` Called after a client closes a logical connection.
`MailboxAddress` | `handleOpen(Mailbox originalMailbox, MailboxAddress originalAddress, MailboxAddress replyAddress)` The system has created an address to the Mailbox for the client to use, and we will pass that on to the client.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SharedMailboxHandler

    public SharedMailboxHandler()

  Creates a new instance of SharedMailboxHandler

Method Detail

### handleOpen

    public MailboxAddress handleOpen(Mailbox originalMailbox,
                                     MailboxAddress originalAddress,
                                     MailboxAddress replyAddress)

  The system has created an address to the Mailbox for the client to use, and we will pass that on to the client.

  Specified by:
    `handleOpen` in interface `MailboxHandler`
  Parameters:
    `originalAddress` - a new private MailboxAddress created by the system for the client to use communicate with Mailbox.
    `replyAddress` - the address to reply to.
    `originalMailbox` - the original Mailbox connected to.
  Returns:
    originalAddress

### handleClose

    public AddressClosedException handleClose(MailboxAddress address)

  Called after a client closes a logical connection. The handler can clean up after a logical connection, and can control if getting a close should cause any Mailbox.receive() calls on this Mailbox to throw a AddressClosedException. Typically registered "server" mail boxes should not throw an exception, but private mail boxes should.

  Specified by:
    `handleClose` in interface `MailboxHandler`
  Parameters:
    `address` - the closed MailboxAddress.
  Returns:
    null, or an exception to be thrown by Mailbox.receive().

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"